import { AnchorHTMLAttributes } from "vue";
export interface AAttributes extends Omit<AnchorHTMLAttributes, "target"> {
    target?: "_blank" | "_self" | "_parent" | "_top";
}
export interface ObjectPath {
    path: string;
    query?: {
        [x: string]: any;
    };
}
export interface Atype extends AAttributes {
    to?: string | ObjectPath;
}
