import { PropType } from "vue";
type AccessType = string | Array<string>;
type AuthorityFunction = () => boolean;
type AuthorityType = boolean | AuthorityFunction | AccessType;
declare const _default: import("vue").DefineComponent<{
    /**准入的权限 */
    authority: {
        type: PropType<AuthorityType>;
        default: boolean;
    };
    access: {
        type: PropType<AccessType>;
    };
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**验证不通过插槽 */
            noMatch?(): any;
        }>;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**准入的权限 */
    authority: {
        type: PropType<AuthorityType>;
        default: boolean;
    };
    access: {
        type: PropType<AccessType>;
    };
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**验证不通过插槽 */
            noMatch?(): any;
        }>;
    };
}>>, {
    authority: AuthorityType;
}, {}>;
export default _default;
