import { PropType } from "vue";
import { TooltipTrigger } from "./types";
export declare const TooltipProps: {
    placement: {
        type: PropType<import("@popperjs/core").Placement | undefined>;
        default: "top";
    };
    content: {
        type: PropType<string | undefined>;
        default: string;
    };
    maxWidth: {
        type: PropType<string | number | undefined>;
        default: number;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
    poperClass: StringConstructor;
};
declare const _default: import("vue").DefineComponent<{
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义content, */
            content?(): any;
        }>;
    };
    /**距离目标元素的偏移距离 */
    distanceOffset: {
        type: NumberConstructor;
        default: number;
    };
    placement: {
        type: PropType<import("@popperjs/core").Placement | undefined>;
        default: "top";
    };
    content: {
        type: PropType<string | undefined>;
        default: string;
    };
    maxWidth: {
        type: PropType<string | number | undefined>;
        default: number;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
    poperClass: StringConstructor;
    /**触发方式 */
    trigger: {
        type: PropType<TooltipTrigger>;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义content, */
            content?(): any;
        }>;
    };
    /**距离目标元素的偏移距离 */
    distanceOffset: {
        type: NumberConstructor;
        default: number;
    };
    placement: {
        type: PropType<import("@popperjs/core").Placement | undefined>;
        default: "top";
    };
    content: {
        type: PropType<string | undefined>;
        default: string;
    };
    maxWidth: {
        type: PropType<string | number | undefined>;
        default: number;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
    poperClass: StringConstructor;
    /**触发方式 */
    trigger: {
        type: PropType<TooltipTrigger>;
        default: string;
    };
}>>, {
    placement: import("@popperjs/core").Placement | undefined;
    content: string | undefined;
    maxWidth: string | number | undefined;
    delay: number;
    trigger: TooltipTrigger;
    distanceOffset: number;
}, {}>;
export default _default;
