import { Placement } from "@popperjs/core";
import { SetupContext, VNode } from "vue";
export interface Tooltip {
    default?: () => VNode;
    content?: () => VNode;
}
export interface TooltipSetupContext extends Omit<SetupContext, "slots"> {
    slots: Tooltip;
}
export interface PropsOptions {
    placement?: Placement;
    content?: string;
    maxWidth?: number | string;
}
/**
 * hover  鼠标经过触发
 * long 一直都触发
 */
export type TooltipTrigger = "hover" | "long";
