import type { PropType } from "vue";
export interface BtnSlots {
    default?: () => any;
}
/**按钮类型，可选值为 `default`、`primary`、`dashed`、`text`、`info`、`success`、`warning`、`error`或者不设置 */
export type BtnType = '' | 'default' | 'primary' | 'dashed' | 'text' | 'info' | 'success' | 'warning' | 'error';
export type btnTypeProps = PropType<BtnType>;
