import { PropType } from "vue";
import { TextAlignPropType } from "../input/types";
type ValueType = Date | string;
type ValueTypes = Array<ValueType>;
declare const _default: import("vue").DefineComponent<{
    modelValue: PropType<ValueType | ValueTypes>;
    format: {
        type: StringConstructor;
        default: string;
    };
    placeholder: StringConstructor;
    textAlign: TextAlignPropType;
    height: {
        default: string;
        type: StringConstructor;
    };
    width: (StringConstructor | NumberConstructor)[];
    confirm: {
        default: boolean;
        type: BooleanConstructor;
    };
    type: {
        default: string;
        type: PropType<"date" | "daterange">;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (data?: ValueType | ValueTypes) => true;
    clear: () => true;
    confirm: () => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: PropType<ValueType | ValueTypes>;
    format: {
        type: StringConstructor;
        default: string;
    };
    placeholder: StringConstructor;
    textAlign: TextAlignPropType;
    height: {
        default: string;
        type: StringConstructor;
    };
    width: (StringConstructor | NumberConstructor)[];
    confirm: {
        default: boolean;
        type: BooleanConstructor;
    };
    type: {
        default: string;
        type: PropType<"date" | "daterange">;
    };
}>> & {
    onConfirm?: (() => any) | undefined;
    "onUpdate:modelValue"?: ((data?: ValueType | ValueTypes | undefined) => any) | undefined;
    onClear?: (() => any) | undefined;
}, {
    type: "date" | "daterange";
    confirm: boolean;
    height: string;
    format: string;
}, {}>;
export default _default;
