import { PropType } from "vue";
declare const _default: import("vue").DefineComponent<{
    /**方向为左右使用 */
    width: {
        type: StringConstructor;
        default: string;
    };
    /**方向为上下使用 */
    height: {
        type: StringConstructor;
        default: string;
    };
    title: StringConstructor;
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义标题 */
            title?(): any;
        }>;
    };
    placement: {
        default: string;
        type: PropType<"top" | "bottom" | "right" | "left">;
    };
    bodyClassName: PropType<any>;
    className: PropType<any>;
    headerClassName: PropType<any>;
    /**是否允许点击遮罩层关闭 */
    maskClosable: {
        default: boolean;
        type: BooleanConstructor;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (v: boolean) => true;
    change: (v: boolean) => true;
    close: () => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**方向为左右使用 */
    width: {
        type: StringConstructor;
        default: string;
    };
    /**方向为上下使用 */
    height: {
        type: StringConstructor;
        default: string;
    };
    title: StringConstructor;
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义标题 */
            title?(): any;
        }>;
    };
    placement: {
        default: string;
        type: PropType<"top" | "bottom" | "right" | "left">;
    };
    bodyClassName: PropType<any>;
    className: PropType<any>;
    headerClassName: PropType<any>;
    /**是否允许点击遮罩层关闭 */
    maskClosable: {
        default: boolean;
        type: BooleanConstructor;
    };
}>> & {
    onChange?: ((v: boolean) => any) | undefined;
    "onUpdate:modelValue"?: ((v: boolean) => any) | undefined;
    onClose?: (() => any) | undefined;
}, {
    width: string;
    height: string;
    modelValue: boolean;
    placement: "top" | "bottom" | "right" | "left";
    maskClosable: boolean;
}, {}>;
export default _default;
