import { TextAlignPropType } from "../input/types";
declare const _default: import("vue").DefineComponent<{
    /**当前值  string只能为数字字符串   */
    modelValue: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
    };
    /**点击加减按钮的步长 */
    step: {
        default: number;
        type: NumberConstructor;
    };
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**是否开启控制器 */
    controls: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**控制器是否显示在两侧 */
    controlsTwoSides: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**数值精度 非负数 且不能小于step的小数位数 */
    precision: {
        type: NumberConstructor;
    };
    /**最大值 超出则等于该值 */
    max: NumberConstructor;
    /**最小值，低于则等于该值 */
    min: NumberConstructor;
    width: {
        default: string;
        type: StringConstructor;
    };
    height: {
        default: string;
        type: StringConstructor;
    };
    /**设置后,modelvalue需为 "" 才能显示  */
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    disabledInput: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**最大输入长度 */
    maxLength: NumberConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": null;
    change: (v: number) => true;
    sub: (v: number) => true;
    add: (v: number) => true;
    blur: (event: FocusEvent) => true;
    focus: (event: FocusEvent) => true;
    keydown: (event: KeyboardEvent) => true;
    input: (event: InputEvent) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**当前值  string只能为数字字符串   */
    modelValue: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
    };
    /**点击加减按钮的步长 */
    step: {
        default: number;
        type: NumberConstructor;
    };
    textAlign: {
        default: string;
        type: TextAlignPropType;
    };
    /**是否开启控制器 */
    controls: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**控制器是否显示在两侧 */
    controlsTwoSides: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**数值精度 非负数 且不能小于step的小数位数 */
    precision: {
        type: NumberConstructor;
    };
    /**最大值 超出则等于该值 */
    max: NumberConstructor;
    /**最小值，低于则等于该值 */
    min: NumberConstructor;
    width: {
        default: string;
        type: StringConstructor;
    };
    height: {
        default: string;
        type: StringConstructor;
    };
    /**设置后,modelvalue需为 "" 才能显示  */
    placeholder: {
        default: string;
        type: StringConstructor;
    };
    disabled: {
        default: boolean;
        type: BooleanConstructor;
    };
    disabledInput: {
        default: boolean;
        type: BooleanConstructor;
    };
    /**最大输入长度 */
    maxLength: NumberConstructor;
}>> & {
    onFocus?: ((event: FocusEvent) => any) | undefined;
    onBlur?: ((event: FocusEvent) => any) | undefined;
    onChange?: ((v: number) => any) | undefined;
    onInput?: ((event: InputEvent) => any) | undefined;
    onKeydown?: ((event: KeyboardEvent) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onSub?: ((v: number) => any) | undefined;
    onAdd?: ((v: number) => any) | undefined;
}, {
    width: string;
    placeholder: string;
    height: string;
    modelValue: string | number;
    disabled: boolean;
    step: number;
    textAlign: import("../types").AlignType;
    controls: boolean;
    controlsTwoSides: boolean;
    disabledInput: boolean;
}, {}>;
export default _default;
