import { PropType } from "vue";
import { activeNamePropType, modePropType, openNamePropType } from "../types";
declare const _default: import("vue").DefineComponent<{
    theme: {
        type: PropType<"light">;
        default: string;
    };
    mode: {
        type: modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 展开的submenu
     */
    openName: {
        type: openNamePropType;
        default: never[];
    };
    /**激活高亮的menuitem */
    activeName: {
        type: activeNamePropType;
        default: string;
    };
    /**手风琴模式是否开启 */
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: PropType<"light">;
        default: string;
    };
    mode: {
        type: modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 展开的submenu
     */
    openName: {
        type: openNamePropType;
        default: never[];
    };
    /**激活高亮的menuitem */
    activeName: {
        type: activeNamePropType;
        default: string;
    };
    /**手风琴模式是否开启 */
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    theme: "light";
    mode: import("../types").mode;
    width: string;
    openName: import("../types").openName;
    activeName: import("../types").activeName;
    accordion: boolean;
}, {}>;
export default _default;
