export { default as DropDownMenu } from "./DropDownMenu";
export { default as Menu } from "./Menu";
export { default as MenuItem } from "./MenuItem";
export { default as SubMenu } from "./SubMenu";
declare const _default: {
    Menu: import("vue").DefineComponent<{
        theme: {
            type: import("vue").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        theme: {
            type: import("vue").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        theme: "light";
        mode: import("./types").mode;
        width: string;
        openName: import("./types").openName;
        activeName: import("./types").activeName;
        accordion: boolean;
    }, {}>;
    MenuItem: import("vue").DefineComponent<{
        name: {
            type: import("./types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        name: {
            type: import("./types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
        };
    }>>, {}, {}>;
    SubMenu: import("vue").DefineComponent<{
        title: {
            default: string;
        };
        name: {
            type: import("./types").openNamesPropType;
            required: true;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            default: string;
        };
        name: {
            type: import("./types").openNamesPropType;
            required: true;
        };
    }>>, {
        title: string;
    }, {}>;
    DropDownMenu: import("vue").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
};
export default _default;
