import { PropType, Ref } from "vue";
export type mode = "horizontal" | "vertical";
export type activeName = string | number;
export type openNames = string | number;
export type openName = openNames[];
export type modePropType = PropType<mode>;
export type activeNamePropType = PropType<activeName>;
export type openNamesPropType = PropType<openNames>;
export type openNamePropType = PropType<openName>;
export interface MenuProvideOptions {
    mode: mode;
    activeName: Ref<activeName>;
    openName: Ref<openName>;
    SwitchOpenName: (name: openNames) => void;
}
