import { PropType } from "vue";
import { ScrollInfo } from "./type";
import { ScrollBarEmitsLoad } from "./type";
export type { ScrollBarEmitsLoad, ScrollInfo } from "./type";
declare const _default: import("vue").DefineComponent<{
    /**滚动条的高度 不传则根据父元素的高度 */
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    style: PropType<import("vue").StyleValue | undefined>;
    visualPrevNumber: {
        default: number;
        type: NumberConstructor;
    };
    visualNextNumber: {
        default: number;
        type: NumberConstructor;
    };
    /**获取可视范围列表节流 */
    throttle: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    /**animation为true生效，若animation为number，将自动计算，开启动画后每帧滚动距离 10ms 1帧 */
    step: {
        type: NumberConstructor;
        default: number;
    };
    /**当为true时，scrollTo setScrollTop setScrollLeft将会缓动执行 ,当为number时，以number毫秒滚动  */
    animation: {
        default: boolean;
        type: (NumberConstructor | BooleanConstructor)[];
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    getVisualList: (VisualList: string[]) => true;
    /**
     *
     * @param data top 距离顶部距离，0为到顶 maxTop为底 left同理
     * @returns
     */
    scroll: (data: ScrollInfo) => true;
    load: (data: ScrollBarEmitsLoad) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**滚动条的高度 不传则根据父元素的高度 */
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    style: PropType<import("vue").StyleValue | undefined>;
    visualPrevNumber: {
        default: number;
        type: NumberConstructor;
    };
    visualNextNumber: {
        default: number;
        type: NumberConstructor;
    };
    /**获取可视范围列表节流 */
    throttle: {
        type: (NumberConstructor | BooleanConstructor)[];
        default: boolean;
    };
    /**animation为true生效，若animation为number，将自动计算，开启动画后每帧滚动距离 10ms 1帧 */
    step: {
        type: NumberConstructor;
        default: number;
    };
    /**当为true时，scrollTo setScrollTop setScrollLeft将会缓动执行 ,当为number时，以number毫秒滚动  */
    animation: {
        default: boolean;
        type: (NumberConstructor | BooleanConstructor)[];
    };
}>> & {
    onLoad?: ((data: ScrollBarEmitsLoad) => any) | undefined;
    onScroll?: ((data: ScrollInfo) => any) | undefined;
    onGetVisualList?: ((VisualList: string[]) => any) | undefined;
}, {
    width: string | number;
    step: number;
    visualPrevNumber: number;
    visualNextNumber: number;
    throttle: number | boolean;
    animation: number | boolean;
}, {}>;
export default _default;
