export { default as Modal } from "./modal";
export { default as Button } from "./button";
export { default as Table } from "./table";
export declare const $confirm: (props?: import("./modal/types").properties | undefined) => import("./modal/instance").confirmCallback;
export declare const $alert: {
    (context: string, options?: import("./modal/types").properties | undefined): import("./modal/instance").confirmCallback;
    (props: import("./modal/types").properties): import("./modal/instance").confirmCallback;
};
export { default as A } from "./A";
export { default as Auth } from "./Auth";
export { default as Radio } from "./radio";
export { default as RadioGroup } from "./radioGroup";
export { default as Card } from "./card";
export { default as Ellipsis } from "./ellipsis";
export { default as Divider } from "./divider";
export { default as Split } from "./split";
export { default as Tooltip } from "./Tooltip";
export { default as Message } from "./message";
export { default as Icon } from "./icon";
export { default as Pagination } from "./pagination";
export { default as Input } from "./input";
export { default as InputNumber } from "./inputNumber";
export { default as ScrollBar } from "./scrollBar";
export { default as ScrollBarItem } from "./scrollBar/item";
export { default as ProgressBar } from "./progressBar";
export { default as ProgressCircle } from "./progressCircle";
export { External as $Loading } from "./progressBar";
export { default as Select } from "./select";
export { default as Option } from "./select/option";
export { default as Switch } from "./switch";
export { default as ColorPicker } from "./colorPicker";
export { default as DatePicker } from "./datePicker";
export { default as Tag } from "./tag";
export { default as Drawer } from "./drawer";
export { default as Container } from "./container";
export { default as Main } from "./container/main";
export { default as Footer } from "./container/footer";
export { default as Header } from "./container/header";
export { default as Aside } from "./container/aside";
export { default as Breadcrumb } from "./breadcrumb";
export { default as BreadcrumbItem } from "./breadcrumb/breadcrumbItem";
export { default as Cascader } from "./cascader";
export { default as City } from "./city";
export { default as FormItem } from "./formItem";
export { default as Space } from "./space";
export { default as NumberChangeEffect } from "./numberChangeEffect";
export { default as Checkbox } from "./checkbox";
export declare const Menu: import("vue").DefineComponent<{
    theme: {
        type: import("vue").PropType<"light">;
        default: string;
    };
    mode: {
        type: import("./menu/types").modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    openName: {
        type: import("./menu/types").openNamePropType;
        default: never[];
    };
    activeName: {
        type: import("./menu/types").activeNamePropType;
        default: string;
    };
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: import("vue").PropType<"light">;
        default: string;
    };
    mode: {
        type: import("./menu/types").modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    openName: {
        type: import("./menu/types").openNamePropType;
        default: never[];
    };
    activeName: {
        type: import("./menu/types").activeNamePropType;
        default: string;
    };
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    theme: "light";
    mode: import("./menu/types").mode;
    width: string;
    openName: import("./menu/types").openName;
    activeName: import("./menu/types").activeName;
    accordion: boolean;
}, {}>;
export declare const MenuItem: import("vue").DefineComponent<{
    name: {
        type: import("./menu/types").activeNamePropType;
        required: true;
    };
    to: {
        type: StringConstructor;
    };
    target: {
        type: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    name: {
        type: import("./menu/types").activeNamePropType;
        required: true;
    };
    to: {
        type: StringConstructor;
    };
    target: {
        type: import("vue").PropType<"_blank" | "_self" | "_parent" | "_top" | undefined>;
    };
}>>, {}, {}>;
export declare const SubMenu: import("vue").DefineComponent<{
    title: {
        default: string;
    };
    name: {
        type: import("./menu/types").openNamesPropType;
        required: true;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        default: string;
    };
    name: {
        type: import("./menu/types").openNamesPropType;
        required: true;
    };
}>>, {
    title: string;
}, {}>;
export { $intro } from "./intro";
