export interface ScrollBarProvide {
    emit(): void;
}
export interface ScrollInfo {
    top: number;
    left: number;
    maxTop: number;
    maxLeft: number;
}
export interface ScrollOption {
    left: number;
    top: number;
}
export interface ScrollBarEmitsLoad {
    scrollTo(options: ScrollOption): void;
    scrollTo(x: number, y: number): void;
    setScrollTop(): void;
    setScrollLeft(): void;
    getScrollInfo(): ScrollInfo;
}
