import { PropType } from "vue";
import { value } from "./types";
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: PropType<value>;
    };
    disabled: {
        type: BooleanConstructor;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
    };
    style: PropType<import("vue").StyleValue | undefined>;
    class: any;
    selectionClass: any;
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义label, */
            selection?(): any;
        }>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": null;
    change: (value: value) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: PropType<value>;
    };
    disabled: {
        type: BooleanConstructor;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
    };
    style: PropType<import("vue").StyleValue | undefined>;
    class: any;
    selectionClass: any;
    "v-slots": {
        type: PropType<{
            /**默认插槽 */
            default?(): any;
            /**自定义label, */
            selection?(): any;
        }>;
    };
}>> & {
    onChange?: ((value: value) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    class: any;
    placeholder: string;
    disabled: boolean;
    selectionClass: any;
}, {}>;
export default _default;
