import { PropType } from "vue";
import { Size, SpaceSizeType } from "./type";
declare const _default: import("vue").DefineComponent<{
    /**间距大小
     * @type Number 8,10,20
     * @type String "8px" , "10px" , "20px"
     * @type Array [8,10] ,["8px","10px"], [8,"10px"] ,["8px" , 10] , [8]
     */
    size: {
        default: number;
        type: PropType<SpaceSizeType>;
    };
    /**是否自动换行 */
    wrap: {
        type: BooleanConstructor;
    };
    /**宽度  */
    width: {
        type: PropType<Size>;
    };
    /**高度 */
    height: {
        type: PropType<Size>;
    };
    type: {
        type: PropType<"inline-flex" | "flex">;
        default: string;
    };
    /**对齐方式，可选值有：start、end、center */
    align: {
        type: PropType<"center" | "start" | "end" | "stretch" | "baseline">;
    };
    /**布局方向，可选值有：horizontal、vertical */
    direction: {
        type: PropType<"horizontal" | "vertical">;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**间距大小
     * @type Number 8,10,20
     * @type String "8px" , "10px" , "20px"
     * @type Array [8,10] ,["8px","10px"], [8,"10px"] ,["8px" , 10] , [8]
     */
    size: {
        default: number;
        type: PropType<SpaceSizeType>;
    };
    /**是否自动换行 */
    wrap: {
        type: BooleanConstructor;
    };
    /**宽度  */
    width: {
        type: PropType<Size>;
    };
    /**高度 */
    height: {
        type: PropType<Size>;
    };
    type: {
        type: PropType<"inline-flex" | "flex">;
        default: string;
    };
    /**对齐方式，可选值有：start、end、center */
    align: {
        type: PropType<"center" | "start" | "end" | "stretch" | "baseline">;
    };
    /**布局方向，可选值有：horizontal、vertical */
    direction: {
        type: PropType<"horizontal" | "vertical">;
        default: string;
    };
}>>, {
    type: "inline-flex" | "flex";
    size: SpaceSizeType;
    wrap: boolean;
    direction: "horizontal" | "vertical";
}, {}>;
export default _default;
