import { PropType } from "vue";
import { ExpandRender, TableComponent } from "./types";
export * from "./types";
export interface _TabelDataItem<T = {}> {
    children?: (_TabelDataItem<T> & T)[];
    [key: string]: any;
}
export type TabelDataItem<T = {}> = _TabelDataItem<T> & T;
export type TabelData = Array<TabelDataItem<any>>;
export type propcolumns = PropType<TableComponent.Columns<any>[]>;
export type propdata = PropType<TabelData>;
export type propExpandRender = PropType<string | ExpandRender>;
